| DocBook: The Definitive Guide 2.0.17 (Alpha)

# package

package — A package

## Synopsis

### Mixed Content Model

    package ::=
    (#PCDATA|replaceable|inlinegraphic|inlinemediaobject|indexterm|
     beginpage)*

### Attributes

Common attributes

## Description

The `package` element identifies things that are, conceptually, “packages”. Examples include packages in the Java language sense, org.apache.xml.resolver, and packages in the software distribution sense, docbook-4.3-1.1.deb.

The term “package” means different things in different contexts and DocBook does not attempt to prescribe any particular meaning.

### Processing expectations

Formatted inline.

### Parents

These elements contain package: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `code`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `firstterm`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `ooclass`, `ooexception`, `oointerface`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `td`, `term`, `termdef`, `tertiary`, `tertiaryie`, `th`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in package: `beginpage`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `replaceable`.

othername |  | pagenums

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.